> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/js-sdk-api-reference/selection/featureselection.md).

# FeatureSelection

***

The options for selecting a feature in a layer.

## Properties

### id

> **id**: `string` | `number`

The id of the feature to select.

***

### layerId

> **layerId**: `string`

The id of the layer that the feature belongs to.

***

### showPopup?

> `optional` **showPopup**: `boolean`

Whether to show the feature's popup, if it is configured in the layer's style.

#### Default

```ts
true
```

***

### fitViewport?

> `optional` **fitViewport**: `boolean` | { `maxZoom`: `number`; }

Whether to center the view on the feature after selecting it.

When true, the viewport will be centered on the feature and zoomed to fit the feature\
in the viewport. If you need to control the zoom level to prevent it zooming in too\
far, you can pass an object with a `maxZoom` property.

This is useful for avoiding zooming in too far on point features, or if you want\
to maintain the current zoom level.

#### Default

```ts
true
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/selection/featureselection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
